// ObjManListTarget.h: interface for the CObjManListTarget class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_OBJMANLISTTARGET_H__04962816_352B_49C6_9CC8_F983B2A3378B__INCLUDED_)
#define AFX_OBJMANLISTTARGET_H__04962816_352B_49C6_9CC8_F983B2A3378B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
class CObjListView;

class CObjManListTarget : public COleDropTarget  
{
protected:
	CObjListView *MyList;

public:
	CObjManListTarget(CObjListView *list);
	virtual ~CObjManListTarget();

   DROPEFFECT OnDragEnter(CWnd* pWnd, COleDataObject* pDataObject, DWORD 
                                                dwKeyState, CPoint point );
   DROPEFFECT OnDragOver(CWnd* pWnd, COleDataObject* pDataObject, DWORD 
                                               dwKeyState, CPoint point );
   void OnDragLeave(CWnd* pWnd);               
   
   BOOL OnDrop(CWnd* pWnd, COleDataObject* pDataObject, DROPEFFECT 
                                          dropEffect, CPoint point ); 
};

#endif // !defined(AFX_OBJMANLISTTARGET_H__04962816_352B_49C6_9CC8_F983B2A3378B__INCLUDED_)
